/*
    CaPriCe Forever - Amstrad CPC 464/664/6128 emulator
    Copyright (C) 2014-2018 by Frédéric Coste

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef STRINGS_H
#define STRINGS_H

#include "..\..\Engine\types.h"

#ifdef __cplusplus
extern "C" {
#endif


extern tUChar* StringAddString(tUChar* bufferP, const tChar* stringP);
extern tUChar* StringAddChar(tUChar* bufferP, tChar character);
extern tUChar* StringAddSpace(tUChar* bufferP);
extern tUChar* StringAddDecByte(tUChar* bufferP, tUChar Value);
extern tUChar* StringAddHexByte(tUChar* bufferP, tUChar Byte);
extern tUChar* StringAddHexShort(tUChar* bufferP, tUShort Short);


#ifdef __cplusplus
}  /* End of the 'extern "C"' block */
#endif

#endif /* ! STRINGS_H */
