object FormAudioSettings: TFormAudioSettings
  Left = 480
  Top = 192
  BorderIcons = []
  Caption = 'Audio settings'
  ClientHeight = 420
  ClientWidth = 545
  Color = clBtnFace
  Constraints.MaxHeight = 458
  Constraints.MinHeight = 458
  Constraints.MinWidth = 561
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  KeyPreview = True
  OldCreateOrder = False
  Position = poScreenCenter
  OnKeyDown = FormKeyDown
  OnShow = FormShow
  DesignSize = (
    545
    420)
  PixelsPerInch = 96
  TextHeight = 13
  object LabelSpeaker: TLabel
    Left = 8
    Top = 8
    Width = 105
    Height = 16
    Alignment = taCenter
    AutoSize = False
    Caption = 'Speaker'
  end
  object LabelFloppy: TLabel
    Left = 120
    Top = 8
    Width = 73
    Height = 16
    Alignment = taCenter
    AutoSize = False
    Caption = 'Floppy'
  end
  object LabelTape: TLabel
    Left = 192
    Top = 8
    Width = 73
    Height = 16
    Alignment = taCenter
    AutoSize = False
    Caption = 'Tape'
  end
  object LabelTMPI: TLabel
    Left = 264
    Top = 8
    Width = 73
    Height = 16
    Alignment = taCenter
    AutoSize = False
    Caption = 'TMPI'
  end
  object LabelPlayCity: TLabel
    Left = 432
    Top = 8
    Width = 105
    Height = 16
    Alignment = taCenter
    AutoSize = False
    Caption = 'PlayCity'
  end
  object LabelDigiblaster: TLabel
    Left = 336
    Top = 8
    Width = 89
    Height = 16
    Alignment = taCenter
    AutoSize = False
    Caption = 'Digiblaster'
  end
  object GroupBoxDevice: TGroupBox
    Left = 8
    Top = 296
    Width = 529
    Height = 57
    Anchors = [akLeft, akTop, akRight]
    Caption = ' Device '
    TabOrder = 5
    DesignSize = (
      529
      57)
    object ComboBoxDevices: TComboBox
      Left = 8
      Top = 24
      Width = 513
      Height = 22
      Style = csOwnerDrawFixed
      Anchors = [akLeft, akTop, akRight]
      TabOrder = 0
      OnDrawItem = ComboBoxDevicesDrawItem
    end
  end
  object GroupBoxGainSpeaker: TGroupBox
    Left = 8
    Top = 24
    Width = 105
    Height = 241
    TabOrder = 0
    object TrackBarGainSpeaker: TTrackBar
      Left = 32
      Top = 8
      Width = 41
      Height = 150
      Hint = 'Speaker Gain'
      Max = 0
      Min = -100
      Orientation = trVertical
      PageSize = 10
      Frequency = 10
      ShowSelRange = False
      TabOrder = 0
      ThumbLength = 19
      TickMarks = tmBoth
      OnChange = TrackBarGainSpeakerChange
    end
    object EditGainSpeaker: TEdit
      Left = 32
      Top = 160
      Width = 41
      Height = 21
      Hint = 'Speaker Gain'
      Alignment = taCenter
      MaxLength = 3
      NumbersOnly = True
      TabOrder = 1
      Text = '0'
      OnChange = EditGainSpeakerChange
      OnClick = EditGainSpeakerClick
    end
    object RadioButtonSpeakerStereo: TRadioButton
      Left = 8
      Top = 192
      Width = 89
      Height = 17
      Caption = 'Line OUT'
      TabOrder = 2
      OnClick = RadioButtonSpeakerStereoClick
    end
    object RadioButtonSpeakerMono: TRadioButton
      Left = 8
      Top = 208
      Width = 89
      Height = 17
      Caption = 'Internal'
      TabOrder = 3
      OnClick = RadioButtonSpeakerMonoClick
    end
  end
  object GroupBoxGainFloppy: TGroupBox
    Left = 128
    Top = 24
    Width = 57
    Height = 193
    TabOrder = 1
    object TrackBarGainFloppy: TTrackBar
      Left = 8
      Top = 8
      Width = 41
      Height = 150
      Hint = 'Floppy drive Gain'
      Max = 0
      Min = -100
      Orientation = trVertical
      PageSize = 10
      Frequency = 10
      ShowSelRange = False
      TabOrder = 0
      ThumbLength = 19
      TickMarks = tmBoth
      OnChange = TrackBarGainFloppyChange
    end
    object EditGainFloppy: TEdit
      Left = 8
      Top = 160
      Width = 41
      Height = 21
      Hint = 'Floppy drive Gain'
      Alignment = taCenter
      MaxLength = 3
      NumbersOnly = True
      TabOrder = 1
      Text = '0'
      OnChange = EditGainFloppyChange
      OnClick = EditGainFloppyClick
    end
  end
  object GroupBoxGainTape: TGroupBox
    Left = 200
    Top = 24
    Width = 57
    Height = 193
    TabOrder = 2
    object TrackBarGainTape: TTrackBar
      Left = 8
      Top = 8
      Width = 41
      Height = 150
      Hint = 'Tape deck Gain'
      Max = 0
      Min = -100
      Orientation = trVertical
      PageSize = 10
      Frequency = 10
      ShowSelRange = False
      TabOrder = 0
      ThumbLength = 19
      TickMarks = tmBoth
      OnChange = TrackBarGainTapeChange
    end
    object EditGainTape: TEdit
      Left = 8
      Top = 160
      Width = 41
      Height = 21
      Hint = 'Tape deck Gain'
      Alignment = taCenter
      MaxLength = 3
      NumbersOnly = True
      TabOrder = 1
      Text = '0'
      OnChange = EditGainTapeChange
      OnClick = EditGainTapeClick
    end
  end
  object GroupBoxGainTMPI: TGroupBox
    Left = 272
    Top = 24
    Width = 57
    Height = 193
    TabOrder = 3
    object TrackBarGainTMPI: TTrackBar
      Left = 8
      Top = 8
      Width = 41
      Height = 150
      Hint = 'Techni-Musique Gain'
      Max = 0
      Min = -100
      Orientation = trVertical
      PageSize = 10
      Frequency = 10
      ShowSelRange = False
      TabOrder = 0
      ThumbLength = 19
      TickMarks = tmBoth
      OnChange = TrackBarGainTMPIChange
    end
    object EditGainTMPI: TEdit
      Left = 8
      Top = 160
      Width = 41
      Height = 21
      Hint = 'Techni-Musique Gain'
      Alignment = taCenter
      MaxLength = 3
      NumbersOnly = True
      TabOrder = 1
      Text = '0'
      OnChange = EditGainTMPIChange
      OnClick = EditGainTMPIClick
    end
  end
  object GroupBoxGainPlayCity: TGroupBox
    Left = 432
    Top = 24
    Width = 105
    Height = 257
    TabOrder = 4
    object TrackBarGainPlayCity: TTrackBar
      Left = 32
      Top = 8
      Width = 41
      Height = 150
      Hint = 'PlayCity Gain'
      Max = 0
      Min = -100
      Orientation = trVertical
      PageSize = 10
      Frequency = 10
      ShowSelRange = False
      TabOrder = 0
      ThumbLength = 19
      TickMarks = tmBoth
      OnChange = TrackBarGainPlayCityChange
    end
    object EditGainPlayCity: TEdit
      Left = 32
      Top = 160
      Width = 41
      Height = 21
      Hint = 'PlayCity Gain'
      Alignment = taCenter
      MaxLength = 3
      NumbersOnly = True
      TabOrder = 1
      Text = '0'
      OnChange = EditGainPlayCityChange
      OnClick = EditGainPlayCityClick
    end
    object RadioButtonPlayCityStereo: TRadioButton
      Left = 8
      Top = 192
      Width = 89
      Height = 17
      Caption = 'Line OUT'
      TabOrder = 2
      OnClick = RadioButtonPlayCityStereoClick
    end
    object RadioButtonPlayCityMono: TRadioButton
      Left = 8
      Top = 208
      Width = 89
      Height = 17
      Caption = 'Internal'
      TabOrder = 3
      OnClick = RadioButtonPlayCityMonoClick
    end
    object CheckBoxPlayCityInvert: TCheckBox
      Left = 8
      Top = 232
      Width = 89
      Height = 17
      Caption = 'Invert'
      TabOrder = 4
      OnClick = CheckBoxPlayCityInvertClick
    end
  end
  object GroupBoxGainDigiblaster: TGroupBox
    Left = 344
    Top = 24
    Width = 73
    Height = 193
    TabOrder = 6
    object TrackBarGainDigiblaster: TTrackBar
      Left = 16
      Top = 8
      Width = 41
      Height = 150
      Hint = 'Digiblaster Gain'
      Max = 0
      Min = -100
      Orientation = trVertical
      PageSize = 10
      Frequency = 10
      ShowSelRange = False
      TabOrder = 0
      ThumbLength = 19
      TickMarks = tmBoth
      OnChange = TrackBarGainDigiblasterChange
    end
    object EditGainDigiblaster: TEdit
      Left = 16
      Top = 160
      Width = 41
      Height = 21
      Hint = 'Digiblaster Gain'
      Alignment = taCenter
      MaxLength = 3
      NumbersOnly = True
      TabOrder = 1
      Text = '0'
      OnChange = EditGainDigiblasterChange
      OnClick = EditGainDigiblasterClick
    end
  end
  object PanelCancel: TPanel
    Left = 416
    Top = 368
    Width = 121
    Height = 41
    BevelInner = bvLowered
    Caption = 'Cancel'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 7
    OnClick = PanelCancelClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
  object PanelApply: TPanel
    Left = 288
    Top = 368
    Width = 121
    Height = 41
    BevelInner = bvLowered
    Caption = 'Apply'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 8
    OnClick = PanelApplyClick
    OnMouseDown = PanelButtonMouseDown
    OnMouseUp = PanelButtonMouseUp
  end
end
