object FormMemoryEditor: TFormMemoryEditor
  Left = 614
  Top = 310
  BorderIcons = [biSystemMenu]
  Caption = 'Memory editor'
  ClientHeight = 356
  ClientWidth = 609
  Color = clBtnFace
  Constraints.MaxWidth = 625
  Constraints.MinHeight = 394
  Constraints.MinWidth = 625
  DoubleBuffered = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  ShowHint = True
  OnDestroy = FormDestroy
  OnHide = FormHide
  OnResize = FormResize
  OnShow = FormShow
  DesignSize = (
    609
    356)
  PixelsPerInch = 96
  TextHeight = 13
  object TabControlMemoryContent: TTabControl
    Left = 8
    Top = 160
    Width = 595
    Height = 190
    Anchors = [akLeft, akTop, akRight, akBottom]
    OwnerDraw = True
    TabHeight = 20
    TabOrder = 0
    Tabs.Strings = (
      'Banked Read'
      'Banked Write'
      'RAM'
      'Lower ROM'
      'Upper ROM')
    TabIndex = 0
    OnChange = TabControlMemoryContentChange
    OnDrawTab = TabControlMemoryContentDrawTab
    object ScrollBarDump: TScrollBar
      Left = 574
      Top = 26
      Width = 17
      Height = 160
      Align = alRight
      Ctl3D = False
      Kind = sbVertical
      LargeChange = 256
      Max = 65520
      PageSize = 0
      ParentCtl3D = False
      SmallChange = 16
      TabOrder = 0
      OnChange = ScrollBarDumpChange
    end
    object StringGridDump: TStringGrid
      Left = 4
      Top = 26
      Width = 570
      Height = 160
      Align = alClient
      BorderStyle = bsNone
      ColCount = 33
      DefaultColWidth = 22
      DefaultRowHeight = 20
      FixedColor = clWindow
      RowCount = 8
      FixedRows = 0
      GridLineWidth = 0
      Options = [goDrawFocusSelected]
      ParentColor = True
      ScrollBars = ssNone
      TabOrder = 1
      OnClick = StringGridDumpClick
      OnDblClick = StringGridDumpDblClick
      OnDrawCell = StringGridDumpDrawCell
      OnKeyDown = StringGridDumpKeyDown
      OnKeyPress = StringGridDumpKeyPress
      OnMouseDown = StringGridDumpMouseDown
      OnMouseWheelDown = StringGridDumpMouseWheelDown
      OnMouseWheelUp = StringGridDumpMouseWheelUp
      OnSelectCell = StringGridDumpSelectCell
      RowHeights = (
        20
        20
        20
        20
        20
        20
        20
        20)
    end
    object PanelEditValue: TPanel
      Left = 368
      Top = 88
      Width = 65
      Height = 33
      ParentColor = True
      TabOrder = 2
      object EditValue: TEdit
        Left = 8
        Top = 8
        Width = 49
        Height = 21
        AutoSelect = False
        AutoSize = False
        BevelInner = bvNone
        BevelOuter = bvNone
        BorderStyle = bsNone
        CharCase = ecUpperCase
        HideSelection = False
        MaxLength = 2
        ParentColor = True
        TabOrder = 0
        Text = 'EDITVALUE'
        OnChange = EditValueChange
        OnExit = EditValueExit
        OnKeyPress = EditValueKeyPress
      end
    end
  end
  object PageControlOperations: TPageControl
    Left = 8
    Top = 8
    Width = 595
    Height = 105
    ActivePage = TabSheetAddress
    Anchors = [akLeft, akTop, akRight]
    OwnerDraw = True
    TabHeight = 20
    TabOrder = 1
    OnChange = PageControlOperationsChange
    OnDrawTab = PageControlOperationsDrawTab
    object TabSheetAddress: TTabSheet
      Caption = 'Markers'
      DesignSize = (
        587
        75)
      object LabelRegisters: TLabel
        Left = 352
        Top = 8
        Width = 43
        Height = 21
        Alignment = taRightJustify
        Anchors = [akTop, akRight]
        AutoSize = False
        Caption = 'Regs'
        Layout = tlCenter
      end
      object PanelAddress1: TPanel
        Left = 49
        Top = 8
        Width = 66
        Height = 21
        Hint = 'Marker 1'
        Color = clWhite
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelAddress2: TPanel
        Left = 49
        Top = 40
        Width = 66
        Height = 21
        Hint = 'Marker 2'
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelButtonSetAddress1: TPanel
        Left = 8
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 2
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonGoToAddress1: TPanel
        Left = 115
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonSetAddress2: TPanel
        Left = 8
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonGoToAddress2: TPanel
        Left = 115
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegBC: TPanel
        Left = 400
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'BC'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = PanelButtonRegBCClick
        OnDblClick = PanelButtonRegBCClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegBCAlt: TPanel
        Left = 400
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'BC'#39
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = PanelButtonRegBCAltClick
        OnDblClick = PanelButtonRegBCAltClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegDE: TPanel
        Left = 435
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'DE'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = PanelButtonRegDEClick
        OnDblClick = PanelButtonRegDEClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegDEAlt: TPanel
        Left = 435
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'DE'#39
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonRegDEAltClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegHL: TPanel
        Left = 470
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'HL'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 10
        OnClick = PanelButtonRegHLClick
        OnDblClick = PanelButtonRegHLClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegHLAlt: TPanel
        Left = 470
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'HL'#39
        ParentShowHint = False
        ShowHint = True
        TabOrder = 11
        OnClick = PanelButtonRegHLAltClick
        OnDblClick = PanelButtonRegHLAltClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegSP: TPanel
        Left = 512
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'SP'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 12
        OnClick = PanelButtonRegSPClick
        OnDblClick = PanelButtonRegSPClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegPC: TPanel
        Left = 547
        Top = 8
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'PC'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 13
        OnClick = PanelButtonRegPCClick
        OnDblClick = PanelButtonRegPCClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegIX: TPanel
        Left = 512
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'IX'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 14
        OnClick = PanelButtonRegIXClick
        OnDblClick = PanelButtonRegIXClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonRegIY: TPanel
        Left = 547
        Top = 40
        Width = 35
        Height = 21
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'IY'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 15
        OnClick = PanelButtonRegIYClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonSetAddress3: TPanel
        Left = 176
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 16
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelAddress3: TPanel
        Left = 217
        Top = 8
        Width = 66
        Height = 21
        Hint = 'Marker 3'
        Color = clWhite
        ParentBackground = False
        TabOrder = 17
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelButtonGoToAddress3: TPanel
        Left = 283
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 18
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonSetAddress4: TPanel
        Left = 176
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set current address'
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 19
        OnClick = PanelButtonSetAddressClick
        OnDblClick = PanelButtonSetAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelAddress4: TPanel
        Left = 217
        Top = 40
        Width = 66
        Height = 21
        Hint = 'Marker 4'
        Color = clWhite
        ParentBackground = False
        TabOrder = 20
        OnClick = PanelMarkerAddressClick
        OnDblClick = PanelMarkerAddressClick
      end
      object PanelButtonGoToAddress4: TPanel
        Left = 283
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Go to marker'
        BevelInner = bvLowered
        Caption = 'Go'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 21
        OnClick = PanelButtonGoToAddressClick
        OnDblClick = PanelButtonGoToAddressClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
    end
    object TabSheetBanks: TTabSheet
      Caption = 'Banks'
      ImageIndex = 4
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      object LabelBanksRead: TLabel
        Left = 24
        Top = 26
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Read'
        Layout = tlCenter
      end
      object LabelBanksWrite: TLabel
        Left = 24
        Top = 50
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Write'
        Layout = tlCenter
      end
      object LabelBanksC000: TLabel
        Left = 448
        Top = 2
        Width = 105
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = 'C000-FFFF'
        Layout = tlCenter
      end
      object LabelBanks8000: TLabel
        Left = 336
        Top = 2
        Width = 89
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = '8000-BFFF'
        Layout = tlCenter
      end
      object LabelBanks4000: TLabel
        Left = 224
        Top = 2
        Width = 89
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = '4000-7FFF'
        Layout = tlCenter
      end
      object LabelBanks0000: TLabel
        Left = 96
        Top = 2
        Width = 105
        Height = 21
        Alignment = taCenter
        AutoSize = False
        Caption = '0000-3FFF'
        Layout = tlCenter
      end
      object LabelBanksBank: TLabel
        Left = 24
        Top = 2
        Width = 57
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Address'
        Layout = tlCenter
      end
      object PanelBankRead4000: TPanel
        Left = 224
        Top = 26
        Width = 89
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 0
      end
      object PanelBankWrite4000: TPanel
        Left = 224
        Top = 50
        Width = 89
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 1
      end
      object PanelBankRead8000: TPanel
        Left = 336
        Top = 26
        Width = 89
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 2
      end
      object PanelBankWrite8000: TPanel
        Left = 336
        Top = 50
        Width = 89
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 3
      end
      object PanelBankWrite0000: TPanel
        Left = 96
        Top = 50
        Width = 105
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 4
      end
      object PanelBankWriteC000: TPanel
        Left = 448
        Top = 50
        Width = 105
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 5
      end
      object PanelBankRead0000: TPanel
        Left = 96
        Top = 26
        Width = 105
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 6
      end
      object PanelBankReadC000: TPanel
        Left = 448
        Top = 26
        Width = 105
        Height = 21
        BevelInner = bvLowered
        ParentColor = True
        TabOrder = 7
      end
    end
    object TabSheetSearch: TTabSheet
      Caption = 'Search'
      ImageIndex = 1
      DesignSize = (
        587
        75)
      object LabelSearch: TLabel
        Left = 24
        Top = 16
        Width = 65
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Text'
        Layout = tlCenter
      end
      object PanelFormatSearch: TPanel
        Left = 96
        Top = 16
        Width = 17
        Height = 21
        Hint = 'Hexa or Text format'
        Caption = '$'
        Color = 16773087
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFormatSearchClick
        OnDblClick = PanelFormatSearchClick
      end
      object EditSearch: TEdit
        Left = 112
        Top = 16
        Width = 281
        Height = 22
        Hint = 'Hex data can be "11AA02" or "11 AA 02" or "11.AA.02"...'
        AutoSize = False
        TabOrder = 1
      end
      object CheckBoxStringCaseSensitive: TCheckBox
        Left = 120
        Top = 46
        Width = 169
        Height = 17
        Caption = 'Case sensitive'
        TabOrder = 2
      end
      object PanelButtonSearchNext: TPanel
        Left = 427
        Top = 16
        Width = 110
        Height = 33
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Find next'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 3
        OnClick = PanelButtonSearchNextClick
        OnDblClick = PanelButtonSearchNextClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
    end
    object TabSheetFill: TTabSheet
      Caption = 'Fill'
      ImageIndex = 2
      DesignSize = (
        587
        75)
      object LabelFillFrom: TLabel
        Left = 32
        Top = 8
        Width = 121
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Address From'
        Layout = tlCenter
      end
      object LabelFillTo: TLabel
        Left = 112
        Top = 40
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'To'
        Layout = tlCenter
      end
      object LabelFillData: TLabel
        Left = 296
        Top = 8
        Width = 49
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'Data'
        Layout = tlCenter
      end
      object PanelFormatFillFrom: TPanel
        Left = 200
        Top = 8
        Width = 17
        Height = 21
        Hint = 'Hexa or Decimal format'
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFormatFillFromClick
        OnDblClick = PanelFormatFillFromClick
      end
      object PanelFillFrom: TPanel
        Left = 217
        Top = 8
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelFillFromClick
      end
      object PanelFormatFillTo: TPanel
        Left = 200
        Top = 40
        Width = 17
        Height = 21
        Hint = 'Hexa or Decimal format'
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 2
        OnClick = PanelFormatFillToClick
        OnDblClick = PanelFormatFillToClick
      end
      object PanelFillTo: TPanel
        Left = 217
        Top = 40
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 3
        OnClick = PanelFillToClick
      end
      object PanelFormatFillData: TPanel
        Left = 392
        Top = 8
        Width = 17
        Height = 21
        Hint = 'Hexa or Decimal format'
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 4
        OnClick = PanelFormatFillDataClick
        OnDblClick = PanelFormatFillDataClick
      end
      object PanelFillData: TPanel
        Left = 409
        Top = 8
        Width = 32
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 5
        OnClick = PanelFillDataClick
      end
      object PanelButtonSetFillFrom: TPanel
        Left = 160
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set current address'
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = PanelButtonSetFillFromClick
        OnDblClick = PanelButtonSetFillFromClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonSetFillTo: TPanel
        Left = 160
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set current address'
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = PanelButtonSetFillToClick
        OnDblClick = PanelButtonSetFillToClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonSetFillData: TPanel
        Left = 352
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set data at current address'
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = PanelButtonSetFillDataClick
        OnDblClick = PanelButtonSetFillDataClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonFill: TPanel
        Left = 464
        Top = 16
        Width = 97
        Height = 41
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Fill'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonFillClick
        OnDblClick = PanelButtonFillClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
    end
    object TabSheetDump: TTabSheet
      Caption = 'Dump'
      ImageIndex = 3
      DesignSize = (
        587
        75)
      object LabelDumpFrom: TLabel
        Left = 160
        Top = 8
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'From'
        Layout = tlCenter
      end
      object LabelDumpTo: TLabel
        Left = 160
        Top = 40
        Width = 41
        Height = 21
        Alignment = taRightJustify
        AutoSize = False
        Caption = 'To'
        Layout = tlCenter
      end
      object PanelFormatExportFrom: TPanel
        Left = 248
        Top = 8
        Width = 17
        Height = 21
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 0
        OnClick = PanelFormatExportFromClick
        OnDblClick = PanelFormatExportFromClick
      end
      object PanelExportFrom: TPanel
        Left = 265
        Top = 8
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 1
        OnClick = PanelExportFromClick
      end
      object PanelFormatExportTo: TPanel
        Left = 248
        Top = 40
        Width = 17
        Height = 21
        Caption = '&&'
        Color = 16773087
        ParentBackground = False
        TabOrder = 2
        OnClick = PanelFormatExportToClick
        OnDblClick = PanelFormatExportToClick
      end
      object PanelExportTo: TPanel
        Left = 265
        Top = 40
        Width = 66
        Height = 21
        Color = clWhite
        ParentBackground = False
        TabOrder = 3
        OnClick = PanelExportToClick
      end
      object PanelButtonDumpSetFullLimits: TPanel
        Left = 8
        Top = 8
        Width = 137
        Height = 33
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Set full limits'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 4
        OnClick = PanelButtonDumpSetFullLimitsClick
        OnDblClick = PanelButtonDumpSetFullLimitsClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonSetDumpFrom: TPanel
        Left = 208
        Top = 8
        Width = 41
        Height = 21
        Hint = 'Set current address'
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 5
        OnClick = PanelButtonSetDumpFromClick
        OnDblClick = PanelButtonSetDumpFromClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonSetDumpTo: TPanel
        Left = 208
        Top = 40
        Width = 41
        Height = 21
        Hint = 'Set current address'
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Set'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 6
        OnClick = PanelButtonSetDumpToClick
        OnDblClick = PanelButtonSetDumpToClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonDumpExportText: TPanel
        Left = 376
        Top = 8
        Width = 97
        Height = 25
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Export TXT'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 7
        OnClick = PanelButtonDumpExportTextClick
        OnDblClick = PanelButtonDumpExportTextClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonDumpExportBinary: TPanel
        Left = 480
        Top = 8
        Width = 97
        Height = 25
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Export BIN'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 8
        OnClick = PanelButtonDumpExportBinaryClick
        OnDblClick = PanelButtonDumpExportBinaryClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
      object PanelButtonDumpImportBinary: TPanel
        Left = 480
        Top = 40
        Width = 97
        Height = 25
        Anchors = [akTop, akRight]
        BevelInner = bvLowered
        Caption = 'Import BIN'
        ParentShowHint = False
        ShowHint = True
        TabOrder = 9
        OnClick = PanelButtonDumpImportBinaryClick
        OnDblClick = PanelButtonDumpImportBinaryClick
        OnMouseDown = PanelButtonMouseDown
        OnMouseUp = PanelButtonRefreshMouseUp
      end
    end
  end
  object PanelStatus: TPanel
    Left = 8
    Top = 120
    Width = 602
    Height = 33
    Anchors = [akLeft, akTop, akRight]
    BevelOuter = bvNone
    ParentColor = True
    TabOrder = 2
    DesignSize = (
      602
      33)
    object LabelCurrentAddress: TLabel
      Left = 0
      Top = 4
      Width = 137
      Height = 21
      Alignment = taRightJustify
      AutoSize = False
      Caption = 'Current address'
      Layout = tlCenter
    end
    object PanelCurrentAddress: TPanel
      Left = 145
      Top = 4
      Width = 66
      Height = 21
      Color = clWhite
      ParentBackground = False
      TabOrder = 0
      OnClick = PanelCurrentAddressClick
    end
    object CheckBoxASCII7Bits: TCheckBox
      Left = 281
      Top = 8
      Width = 113
      Height = 17
      Anchors = [akTop, akRight]
      Caption = 'ASCII 7-bits'
      TabOrder = 1
      OnClick = CheckBoxASCII7BitsClick
    end
    object PanelButtonRefresh: TPanel
      Left = 408
      Top = 3
      Width = 89
      Height = 25
      Anchors = [akTop, akRight]
      BevelInner = bvLowered
      Caption = 'Refresh'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 2
      OnClick = PanelButtonRefreshClick
      OnDblClick = PanelButtonRefreshClick
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonRefreshMouseUp
    end
    object PanelButtonMonitoring: TPanel
      Left = 504
      Top = 3
      Width = 89
      Height = 25
      Anchors = [akTop, akRight]
      BevelInner = bvLowered
      Caption = 'Start'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 3
      OnClick = PanelButtonMonitoringClick
      OnDblClick = PanelButtonMonitoringClick
      OnMouseDown = PanelButtonMouseDown
      OnMouseUp = PanelButtonRefreshMouseUp
    end
  end
  object SaveDialog: TSaveDialog
    Options = [ofOverwritePrompt, ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Left = 436
    Top = 144
  end
  object OpenDialog: TOpenDialog
    Options = [ofHideReadOnly, ofFileMustExist, ofEnableSizing]
    Left = 372
    Top = 144
  end
end
