/*
    CaPriCe Forever - Amstrad CPC 464/664/6128 emulator
    Copyright (C) 2014-2015 by Frdric Coste

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CRC_CCITT_H
#define CRC_CCITT_H


#include "..\Engine\types.h"

#ifdef __cplusplus
extern "C" {
#endif


extern tUShort CRC_CCITT(const tUChar* data_p,
                         tUShort length);
extern tUShort CRC_CCITT_Add(tUShort crc,
                             const tUChar* data_p,
                             tUShort length);
extern tUShort CRC_CCITT_Add_Byte(tUShort crc,
                                  tUChar data);

#ifdef __cplusplus
}  /* End of the 'extern "C"' block */
#endif


#endif /* CRC_CCITT_H */

